//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 12 textures and 206 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 06/27/1996    (27.06.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





camera {  //  Camera Camera01
  location  <-15.800, -35.100, 8.800>
  direction <0.0,     0.0,  1.4297>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.130, 0.000, -0.090>
}

// *******  L I G H T S *******
light_source {   // Light002
  <-12.100, -9.700, 3.200>
  color rgb <0.647, 0.647, 0.647>
}

light_source {   // Light001
  <-0.200, -15.000, 6.700>
  color rgb <0.600, 0.600, 0.600>
}


// ********  TEXTURES  *******
//

#include "clock.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

#include "tst_hndl.inc"

#declare handle_base_Ref = object {
  N01
  texture {
    Gold_Metal1
  }
}
#declare handle_arch_Ref = object {
  TOP01
  texture {
    Gold_Metal1
  }
}
union { // handle_udo
  object { handle_base_Ref }
  object { handle_arch_Ref }
  translate  <-5.7, 0.5, 9.6>
}


box { // wall
  <-1, -1, -1>, <1, 1, 1>
  texture {
    brick_wall
  }
  scale <46.299999, 1.0, 22.0>
  translate  <0.0, 10.8, 0.2>
}


box { // floor
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Yellow_Pine1
  }
  scale <1000.0, 1000.0, 1.0>
  translate  -9.0*z
}


#declare btop_csg_boxdif = difference {
  box { // main_Cube_top0
    <-1, -1, -1>, <1, 1, 1>
    scale <6.7, 5.5, 0.5>
    translate  6.5*z
  }
  cylinder { // cyl_btop_fclip0
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.4, 13.4>
    rotate <0.0, -90.0, 0.0>
    translate  <6.7, -5.5, 7.0>
  }
  cylinder { // cyl_btop_lclip0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.2, 11.2>
    rotate 90.0*x
    translate  <-6.7, 5.6, 7.0>
  }
  cylinder { // cyl_btop_rclip0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.2, 11.2>
    rotate 90.0*x
    translate  <6.7, 5.6, 7.0>
  }
}
#declare btop_csg_l_int0 = intersection {
  box { // box_btop_lext_i
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 5.8, 0.3>
    translate  <-7.0, -0.3, 6.4>
  }
  cylinder { // cyl_btop_lext_i
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.3, 11.5>
    rotate 90.0*x
    translate  <-6.7, 5.5, 6.4>
  }
}
#declare btop_csg_l_clip = difference {
  object { btop_csg_l_int0 }
  box { // btop_box_lclip0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.9, 0.4, 0.5>
    rotate 45.0*z
    translate  <-6.43, -5.8, 6.4>
  }
}
#declare btop_csg_r_int0 = intersection {
  box { // box_btop_rext_i
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 5.8, 0.3>
    translate  <7.0, -0.2, 6.4>
  }
  cylinder { // cyl_btop_rext_i
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.3, 11.5>
    rotate 90.0*x
    translate  <6.7, 5.5, 6.4>
  }
}
#declare btop_csg_r_clip = difference {
  object { btop_csg_r_int0 }
  box { // btop_box_rclip0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.9, 0.4, 0.5>
    rotate -45.0*z
    translate  <6.43, -5.8, 6.4>
  }
}
#declare btop_csg_f_int0 = intersection {
  box { // box_btop_fext_i
    <-1, -1, -1>, <1, 1, 1>
    scale <7.3, 0.3, 0.3>
    translate  <0.0, -5.8, 6.4>
  }
  cylinder { // cyl_btop_fext_i
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.5, 14.5>
    rotate <0.0, 90.0, 0.0>
    translate  <-7.3, -5.5, 6.4>
  }
}
#declare btop_csg_f_clip = difference {
  object { btop_csg_f_int0 }
  box { // btop_box_fclipl
    <-1, -1, -1>, <1, 1, 1>
    scale <0.9, 0.4, 0.5>
    rotate 45.0*z
    translate  <-7.0, -5.23, 6.4>
  }
  box { // btop_box_fclipr
    <-1, -1, -1>, <1, 1, 1>
    scale <0.9, 0.4, 0.5>
    rotate -45.0*z
    translate  <7.0, -5.23, 6.4>
  }
}
#declare main_csg_top_b = union {
  object { btop_csg_boxdif }
  object { btop_csg_l_clip }
  object { btop_csg_r_clip }
  object { btop_csg_f_clip }
}
#declare ttop_csg_r_u0 = union {
  cylinder { // ttop_cyl_l4_r
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 4.0>
    rotate 90.0*x
    translate  <3.5, 2.0, 9.0>
  }
  cylinder { // ttop_cyl_l3_r
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 4.8>
    rotate 90.0*x
    translate  <3.7, 2.4, 8.8>
  }
  cylinder { // ttop_cyl_l2_r
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 5.2>
    rotate 90.0*x
    translate  <3.9, 2.6, 8.6>
  }
  cylinder { // ttop_cyl_l0_r
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.4, 8.0>
    rotate 90.0*x
    translate  <5.3, 4.0, 7.0>
  }
}
#declare ttop_csg_r_clip = difference {
  object { ttop_csg_r_u0 }
  box { // ttop_box_rclipf
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate 45.0*z
    translate  <4.0, -3.21, 8.0>
  }
  box { // ttop_box_rclipb
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate -45.0*z
    translate  <4.0, 3.21, 8.0>
  }
}
#declare ttop_csg_l_u0 = union {
  cylinder { // ttop_cyl_l0_l
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.4, 8.0>
    rotate 90.0*x
    translate  <-5.3, 4.0, 7.0>
  }
  cylinder { // ttop_cyl_l4_l
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 4.4>
    rotate 90.0*x
    translate  <-3.5, 2.2, 9.0>
  }
  cylinder { // ttop_cyl_l3_l
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 4.8>
    rotate 90.0*x
    translate  <-3.7, 2.4, 8.8>
  }
  cylinder { // ttop_cyl_l2_l
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 5.2>
    rotate 90.0*x
    translate  <-3.9, 2.6, 8.6>
  }
}
#declare ttop_csg_l_clip = difference {
  object { ttop_csg_l_u0 }
  box { // ttop_box_lclipb
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate 45.0*z
    translate  <-4.0, 3.205, 8.0>
  }
  box { // ttop_box_lclipf
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate -45.0*z
    translate  <-3.99, -3.2, 8.0>
  }
}
#declare ttop_csg_b_u0 = union {
  cylinder { // ttop_cyl_l0_b
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.2, 11.0>
    rotate -90.0*y
    translate  <5.5, 3.8, 7.0>
  }
  cylinder { // ttop_cyl_l4_b
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 7.4>
    rotate -90.0*y
    translate  <3.7, 2.0, 9.0>
  }
  cylinder { // ttop_cyl_l3_b
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 7.8>
    rotate -90.0*y
    translate  <3.9, 2.2, 8.8>
  }
  cylinder { // ttop_cyl_l2_b
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 8.2>
    rotate -90.0*y
    translate  <4.1, 2.4, 8.6>
  }
}
#declare ttop_csg_b_clip = difference {
  object { ttop_csg_b_u0 }
  box { // ttop_box_bclipr
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate -45.0*z
    translate  <4.705, 2.5, 8.0>
  }
  box { // ttop_box_bclipl
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate 45.0*z
    translate  <-4.7, 2.49, 8.0>
  }
}
#declare ttop_csg_f_u0 = union {
  cylinder { // ttop_cyl_l0_f
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.2, 11.0>
    rotate -90.0*y
    translate  <5.5, -3.8, 7.0>
  }
  cylinder { // ttop_cyl_l4_f
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 7.4>
    rotate -90.0*y
    translate  <3.7, -2.0, 9.0>
  }
  cylinder { // ttop_cyl_l3_f
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 7.8>
    rotate -90.0*y
    translate  <3.9, -2.2, 8.8>
  }
  cylinder { // ttop_cyl_l2_f
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 8.2>
    rotate -90.0*y
    translate  <4.1, -2.4, 8.6>
  }
}
#declare ttop_csg_f_clip = difference {
  object { ttop_csg_f_u0 }
  box { // ttop_box_fclipr
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate 45.0*z
    translate  <4.705, -2.5, 8.0>
  }
  box { // ttop_box_fclipl
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.7, 2.0>
    rotate -45.0*z
    translate  <-4.705, -2.5, 8.0>
  }
}
#declare ttop_csg_dif_0 = difference {
  box { // main_box_topt00
    <-1, -1, -1>, <1, 1, 1>
    scale <5.5, 4.0, 0.6>
    translate  8.0*z
  }
  cylinder { // ttop_cyl_l1_l
    <0,0,1>, <0,0,0>, 1 
    scale <1.2, 1.2, 8.2>
    rotate 90.0*x
    translate  <-5.3, 4.1, 8.6>
  }
  cylinder { // ttop_cyl_l1_r
    <0,0,1>, <0,0,0>, 1 
    scale <1.2, 1.2, 8.2>
    rotate 90.0*x
    translate  <5.3, 4.1, 8.6>
  }
  cylinder { // ttop_cyl_l1_b
    <0,0,1>, <0,0,0>, 1 
    scale <1.2, 1.2, 11.2>
    rotate -90.0*y
    translate  <5.6, 3.8, 8.6>
  }
  cylinder { // ttop_cyl_l1_f
    <0,0,1>, <0,0,0>, 1 
    scale <1.2, 1.2, 11.2>
    rotate -90.0*y
    translate  <5.6, -3.8, 8.6>
  }
}
#declare main_csg_top_t = merge {
  object { ttop_csg_r_clip }
  object { ttop_csg_l_clip }
  object { ttop_csg_b_clip }
  object { ttop_csg_f_clip }
  box { // ttop_box_top0
    <-1, -1, -1>, <1, 1, 1>
    scale <3.5, 2.0, 0.1>
    translate  9.1*z
  }
  object { ttop_csg_dif_0 }
}
#declare base_csg_diff = difference {
  box { // main_Cube_base0
    <-1, -1, -1>, <1, 1, 1>
    scale <7.0, 5.5, 0.5>
    translate  -6.5*z
  }
  box { // main_box_bc_t0
    <-1, -1, -1>, <1, 1, 1>
    scale <7.1, 0.4, 0.4>
    translate  <0.0, -5.2, -6.1>
  }
  box { // main_box_bc_r0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 5.6, 0.4>
    translate  <6.7, 0.0, -6.1>
  }
  box { // main_box_bc_l_0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 5.6, 0.4>
    translate  <-6.7, 0.0, -6.1>
  }
}
#declare base_csg_i_r0 = intersection {
  cylinder { // base_cyl_r0
    <0,0,1>, <0,0,0>, 1 
    scale <0.6, 0.4, 11.0>
    rotate -90.0*x
    translate  <6.3, -5.5, -6.5>
  }
  box { // main_box_bc_r1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 5.6, 0.4>
    translate  <6.7, 0.0, -6.1>
  }
}
#declare base_csg_dr0 = difference {
  object { base_csg_i_r0 }
  box { // base_box_cclp_r
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.6, 1.0>
    rotate 45.0*z
    translate  <6.48, -5.4, -6.5>
  }
}
#declare base_csg_i_l0 = intersection {
  cylinder { // base_cyl_l0
    <0,0,1>, <0,0,0>, 1 
    scale <0.6, 0.4, 11.0>
    rotate -90.0*x
    translate  <-6.3, -5.5, -6.5>
  }
  box { // main_box_bc_l1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 5.6, 0.4>
    translate  <-6.7, 0.0, -6.1>
  }
}
#declare base_csg_dl0 = difference {
  object { base_csg_i_l0 }
  box { // base_box_cclp_l
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.6, 1.0>
    rotate -45.0*z
    translate  <-6.47, -5.4, -6.5>
  }
}
#declare base_csg_i_f0 = intersection {
  cylinder { // base_cyl_f0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.6, 14.0>
    rotate -90.0*y
    translate  <7.0, -4.8, -6.5>
  }
  box { // main_box_bc_f1
    <-1, -1, -1>, <1, 1, 1>
    scale <7.1, 0.4, 0.4>
    translate  <0.0, -5.2, -6.1>
  }
}
#declare base_csg_df0 = difference {
  object { base_csg_i_f0 }
  box { // base_box_clp_fl
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.6, 1.0>
    rotate -45.0*z
    translate  <-6.9, -4.98, -6.5>
  }
  box { // base_box_clp_fr
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.6, 1.0>
    rotate 45.0*z
    translate  <6.93, -5.0, -6.5>
  }
}
#declare base_csg_u0 = union {
  object { base_csg_dr0 }
  object { base_csg_dl0 }
  object { base_csg_df0 }
}
#declare main_csg_bottom = union {
  object { base_csg_diff }
  object { base_csg_u0 }
}
#declare mid_csg_fr_dif0 = difference {
  box { // main_box_fr_00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.7, 6.0>
    translate  <5.6, -3.2, 0.0>
  }
  cylinder { // mid_cyl_in_r_f0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 12.0>
    translate  <6.0, -3.7, -6.0>
  }
  cylinder { // mid_cyl_in_r_b0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 12.0>
    translate  <6.0, -2.7, -6.0>
  }
}
#declare mid_csg_fl_dif0 = difference {
  box { // main_box_fl_00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.7, 6.0>
    translate  <-5.6, -3.2, 0.0>
  }
  cylinder { // mid_cyl_in_l_f0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 12.0>
    translate  <-6.0, -3.7, -6.0>
  }
  cylinder { // mid_cyl_in_l_b0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 12.0>
    translate  <-6.0, -2.7, -6.0>
  }
}
#declare mid_csg_ffb_i0 = intersection {
  box { // mid_box_ffb_01
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.3, 0.2>
    translate  <0.0, -4.2, -4.6>
  }
  cylinder { // mid_cyl_ffb_01
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.5, 12.0>
    rotate <0.0, -90.0, 0.0>
    translate  <6.0, -3.9, -4.8>
  }
}
// The following include file contains the definition for nameplate
#include "clock.in1"
#declare nameplate = object {
  nameplate_Raw
  texture {
    Brass_Tex_platemap
  }
  scale <1.0, 0.5, 1.0>
  rotate -90.0*x
  translate  <0.0, -5.5, -5.4>
}
#declare mid_csg_ffb_u0 = union {
  object { mid_csg_ffb_i0 }
  box { // main_box_ffb_00
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.3, 0.6>
    translate  <0.0, -4.2, -5.4>
  }
  object { nameplate }
}
#declare csg_ffb_clip_00 = difference {
  object { mid_csg_ffb_u0 }
  box { // main_box_ffbcl0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate -45.0*y
    translate  <-5.6, -4.3, -4.7>
  }
  box { // main_box_ffbcr0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate 45.0*y
    translate  <5.6, -4.2, -4.7>
  }
  texture {
    DMFWood4_h
  }
}
#declare mid_csg_fft_i0 = intersection {
  box { // mid_box_fft_01
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.3, 0.2>
    translate  <0.0, -4.2, 4.6>
  }
  cylinder { // mid_cyl_fft_01
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.5, 12.0>
    rotate <0.0, -90.0, 0.0>
    translate  <6.0, -3.9, 4.8>
  }
}
#declare mid_csg_fft_u0 = union {
  object { mid_csg_fft_i0 }
  box { // main_box_fft_00
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 0.3, 0.6>
    translate  <0.0, -4.2, 5.4>
  }
}
#declare csg_fft_clip_00 = difference {
  object { mid_csg_fft_u0 }
  box { // main_box_fflc1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate 45.0*y
    translate  <-5.7, -4.2, 4.8>
  }
  box { // main_box_ffrc1
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate -45.0*y
    translate  <5.7, -4.2, 4.8>
  }
  texture {
    DMFWood4_h
  }
}
#declare mid_csg_ffr_i0 = intersection {
  box { // mid_box_ffr_01
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 0.3, 6.0>
    translate  <4.7, -4.2, 0.0>
  }
  cylinder { // mid_cyl_ffr_01
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.5, 12.0>
    translate  <4.9, -3.9, -6.0>
  }
}
#declare mid_csg_ffr_u0 = union {
  object { mid_csg_ffr_i0 }
  box { // main_box_ffr_00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.6, 0.3, 6.0>
    translate  <5.5, -4.2, 0.0>
  }
}
#declare csg_ffr_clip_00 = difference {
  object { mid_csg_ffr_u0 }
  box { // main_box_ffrct0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate -45.0*y
    translate  <4.9, -4.2, 5.7>
  }
  box { // main_box_ffrcb0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate 45.0*y
    translate  <4.7, -4.2, -5.5>
  }
  cone { // mid_cone_ffrint
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.3, 0.3, 1.0>
    rotate -180.0*x
    translate  <6.1, -4.5, 3.5>
  }
  cone { // mid_cone_ffrinb
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.3, 0.3, 1.0>
    translate  <6.1, -4.5, -3.5>
  }
  cylinder { // mid_cyl_ffr_in0
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 5.0>
    translate  <6.1, -4.5, -2.5>
  }
  texture {
    DMFWood4_v
  }
}
#declare mid_csg_ffl_i0 = intersection {
  box { // mid_box_ffl_01
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 0.3, 6.0>
    translate  <-4.7, -4.2, 0.0>
  }
  cylinder { // mid_cyl_ffl_01
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.5, 12.0>
    translate  <-4.9, -3.9, -6.0>
  }
}
//
// Include file contains 'knob'
//
#include "clock.in2"
#declare knob = object {
  knob_Raw
  texture {
    Brass_Texture1
  }
  scale 0.4
  rotate 90.0*x
  translate  <-5.35, -4.12, 0.0>
}
#declare mid_csg_ffl_u0 = union {
  object { mid_csg_ffl_i0 }
  box { // main_box_ffl_00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.6, 0.3, 6.0>
    translate  <-5.5, -4.2, 0.0>
  }
  object { knob }
}
#declare csg_ffl_clip_00 = difference {
  object { mid_csg_ffl_u0 }
  box { // main_box_fflcb0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate -45.0*y
    translate  <-4.7, -4.3, -5.5>
  }
  box { // main_box_fflct0
    <-1, -1, -1>, <1, 1, 1>
    scale <1.5, 0.5, 0.6>
    rotate 45.0*y
    translate  <-4.8, -4.2, 5.6>
  }
  cone { // mid_cone_fflinb
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.3, 0.3, 1.0>
    translate  <-6.1, -4.5, -3.5>
  }
  cone { // mid_cone_fflint
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.3, 0.3, 1.0>
    rotate -180.0*x
    translate  <-6.1, -4.5, 3.5>
  }
  cylinder { // mid_cyl_ffl_in0
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 5.0>
    translate  <-6.1, -4.5, -2.5>
  }
  texture {
    DMFWood4_v
  }
}
#declare CSG_diff_shft03 = difference {
  cylinder { // mh_cyl_u_shft03
    <0,0,1>, <0,0,0>, 1 
    scale <0.66, 0.66, 0.2>
    rotate 90.0*x
    translate  <0.65, 0.0, -0.3>
  }
  box { // mh_box_clpshft3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.52, 0.25>
    rotate 36.0*y
    translate  <0.22, 0.0, -0.64>
  }
  translate  <2.55, 0.0, 0.05>
}
#declare mh_union00 = union {
  cylinder { // mh_Cyl_u_vtop00
    <0,0,1>, <0,0,0>, 1 
    scale <0.06, 0.1, 0.2>
    rotate 90.0*x
    translate  <2.55, 0.0, 2.15>
  }
  box { // mh_Cube_u_top00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.1, 0.64>
    translate  <2.55, -0.1, 1.52>
  }
  cylinder { // mh_Cyl_u_shft05
    <0,0,1>, <0,0,0>, 1 
    scale <0.22, 0.22, 0.2>
    rotate 90.0*x
    translate  <2.66, 0.0, 0.75>
  }
  cylinder { // mh_Cyl_u_shft04
    <0,0,1>, <0,0,0>, 1 
    scale <0.5, 0.5, 0.2>
    rotate 90.0*x
    translate  <2.4, 0.0, 0.3>
  }
  cylinder { // mh_Cyl_u_shft01
    <0,0,1>, <0,0,0>, 1 
    scale <0.6, 0.6, 0.2>
    rotate 90.0*x
    translate  <2.2, 0.0, -0.6>
  }
  cylinder { // mh_Cyl_u_shft00
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 0.2>
    rotate 90.0*x
    translate  <2.55, 0.0, -1.25>
  }
  cylinder { // mh_cyl_u_base00
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.2>
    rotate 90.0*x
    translate  <2.55, 0.0, -1.95>
  }
  object { CSG_diff_shft03 }
  translate  <1.45, 0.0, -0.05>
}
#declare mh_diff000 = difference {
  object { mh_union00 }
  box { // mh_Cube_dclip15
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.41, 0.18>
    rotate 3.0*y
    translate  <4.53, 0.0, 0.21>
  }
  box { // mh_Cube_dclip13
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.36, 0.15>
    rotate 39.0*y
    translate  <4.57, 0.0, 0.25>
  }
  box { // mh_Cube_dclip12
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.41, 0.1>
    rotate -52.0*y
    translate  <3.7, 0.0, 0.63>
  }
  box { // mh_cube_dclip11
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 0.44, 0.15>
    translate  <4.26, 0.0, 0.85>
  }
  box { // mh_Cube_dclip10
    <-1, -1, -1>, <1, 1, 1>
    scale <0.08, 0.46, 0.18>
    rotate 8.0*y
    translate  <3.78, 0.0, -0.18>
  }
  box { // mh_Cube_dclip09
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.28, 0.14>
    rotate 23.0*y
    translate  <3.96, 0.0, 0.02>
  }
  box { // mh_cube_dclip08
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 0.36, 0.17>
    rotate -58.0*y
    translate  <4.26, 0.0, 0.7>
  }
  box { // mh_Cube_dclip07
    <-1, -1, -1>, <1, 1, 1>
    scale <0.08, 0.38, 0.19>
    rotate -8.0*y
    translate  <3.69, 0.0, 0.63>
  }
  box { // mh_cube_dclip06
    <-1, -1, -1>, <1, 1, 1>
    scale <0.66, 0.22, 0.91>
    rotate 15.0*y
    translate  <5.08, -0.06, -0.27>
  }
  box { // mh_cube_dclip05
    <-1, -1, -1>, <1, 1, 1>
    scale <0.07, 0.36, 0.12>
    rotate -40.0*y
    translate  <3.79, 0.0, -0.17>
  }
  box { // mh_cube_dclip04
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.06>
    rotate 15.0*y
    translate  <3.7, 0.0, -1.19>
  }
  box { // mh_cube_dclip03
    <-1, -1, -1>, <1, 1, 1>
    scale <0.44, 0.26, 1.02>
    translate  <3.3, 0.0, 0.09>
  }
  box { // mh_Cube_dclip02
    <-1, -1, -1>, <1, 1, 1>
    scale <0.32, 0.31, 0.24>
    rotate 34.0*y
    translate  <3.46, 0.0, -1.0>
  }
  box { // mh_Cube_d_clp01
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.6, 0.15>
    translate  <4.16, 0.0, -1.3>
  }
  box { // mh_Cube_d_clp00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.11, 0.21, 0.14>
    rotate 47.0*y
    translate  <4.15, -0.09, -1.14>
  }
  cylinder { // mh_Cyl_d_shft03
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 0.84>
    rotate 90.0*x
    translate  <3.85, 0.1, 0.25>
  }
  cylinder { // mh_Cyl_d_shft02
    <0,0,1>, <0,0,0>, 1 
    scale <0.46, 0.46, 0.5>
    rotate 90.0*x
    translate  <4.65, 0.15, -0.3>
  }
  cylinder { // mh_Cyl_d_shft01
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.6>
    rotate 90.0*x
    translate  <3.65, 0.2, -0.65>
  }
  cylinder { // mh_Cyl_d_shft00
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 0.5>
    rotate 90.0*x
    translate  <4.0, 0.15, -1.3>
  }
  cylinder { // mh_cyl_d_base00
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, 0.74>
    rotate 90.0*x
    translate  <4.0, 0.29, -2.0>
  }
  box { // mh_cube_dclip16
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.75, 0.11>
    rotate -39.0*y
    translate  <4.28, -0.1, 0.6>
  }
  translate  -4.0*x
  texture {
    Black_tex
  }
}
#declare CSG_arrow_00 = difference {
  box { // mh_box_hu_03
    <-1, -1, -1>, <1, 1, 1>
    scale <0.18, 0.1, 0.11>
    translate  <0.0, -0.1, 1.19>
  }
  box { // mh_box_hu_02
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.25, 0.13>
    rotate <0.0, 25.0, 0.0>
    translate  <-0.17, -0.1, 1.21>
  }
  box { // mh_cube_hu_04
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.25, 0.13>
    rotate <0.0, -25.0, 0.0>
    translate  <0.17, -0.1, 1.21>
  }
}
#declare CSG_diff_deco1 = difference {
  cylinder { // mh_cyl_dec1
    <0,0,1>, <0,0,0>, 1 
    scale <0.28, 0.28, 0.2>
    rotate 90.0*x
    translate  <-0.28, 0.0, -0.44>
  }
  box { // mh_box_dec1clp0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.46, 0.16>
    translate  <-0.12, 0.0, -0.46>
  }
  cylinder { // mh_Cyl_dec1_d0
    <0,0,1>, <0,0,0>, 1 
    scale <0.18, 0.18, 0.62>
    rotate 90.0*x
    translate  <-0.28, 0.19, -0.44>
  }
  box { // mh_box_dec1_0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.45, 0.1>
    translate  <-0.11, 0.0, -0.65>
  }
}
#declare CSG_diff_deco_0 = difference {
  cylinder { // mh_Cyl_hu_03
    <0,0,1>, <0,0,0>, 1 
    scale <0.64, 0.64, 0.2>
    rotate 90.0*x
    translate  <-0.75, 0.0, -0.74>
  }
  cylinder { // mh_Cyl_hu_02
    <0,0,1>, <0,0,0>, 1 
    scale <0.53, 0.53, 0.75>
    rotate 90.0*x
    translate  <-0.75, 0.25, -0.74>
  }
  box { // mh_box_clipdec2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.55, 0.48, 0.67>
    rotate -10.0*y
    translate  <-1.02, 0.0, -0.79>
  }
  box { // mh_box_clipdec1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.07, 0.45, 0.14>
    rotate -46.0*y
    translate  <-0.4, 0.0, -1.16>
  }
  box { // mh_box_clipdec0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.44, 0.31>
    translate  <-0.38, 0.0, -0.31>
  }
}
#declare mh_hunion_00 = union {
  object { mh_diff000 }
  box { // mh_Cube_hu_00
    <-1, -1, -1>, <1, 1, 1>
    scale <0.08, 0.1, 0.1>
    rotate 44.0*y
    translate  <0.23, -0.1, -0.59>
  }
  box { // mh_cube_hu_01
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.1, 0.09>
    rotate 71.0*y
    translate  <0.25, -0.1, -0.76>
  }
  cylinder { // mh_cyl_hu_01
    <0,0,1>, <0,0,0>, 1 
    scale <0.08, 0.13, 0.2>
    rotate 90.0*x
    translate  <0.19, 0.0, -1.08>
  }
  cylinder { // mh_cyl_hu_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.08, 0.13, 0.2>
    rotate 90.0*x
    translate  <0.19, 0.0, -1.33>
  }
  object { CSG_arrow_00 }
  object { CSG_diff_deco1 }
  object { CSG_diff_deco_0 }
  texture {
    Black_tex
  }
  scale <1.0, 0.2, 1.0>
  rotate 60.0*y
  translate  <1.73, 0.2, 1.0>
}
#declare spdl_CSG_d_000 = difference {
  cylinder { // spdl_Cyl_004
    <0,0,1>, <0,0,0>, 1 
    scale <0.37, 0.38, 0.05>
    rotate -90.0*x
    translate  0.98*y
  }
  torus { // spdl_Torus_d_00
    1.5, 0.1  rotate -x*90
    scale <0.24, 0.24, 0.23>
    rotate 90.0*x
    translate  1.005*y
  }
  texture {
    Chrome_Metal1
  }
  translate  -0.03*y
}
#declare spdl_CSG_d_001 = difference {
  cylinder { // spdl_Cyl_base00
    <0,0,1>, <0,0,0>, 1 
    scale <0.47, 0.48, 0.05>
    rotate -90.0*x
    translate  1.03*y
  }
  cylinder { // spdl_Cyl_d_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.04, 0.04, 1.0>
    rotate -32.0*y
    translate  <0.27, 1.03, -0.42>
  }
  translate  -0.03*y
}
#declare spdl_CSG_main_0 = union {
  object { spdl_CSG_d_000 }
  cylinder { // spdl_Cyl_003
    <0,0,1>, <0,0,0>, 1 
    texture {
      Silver2
    }
    scale <0.3, 0.31, 0.29>
    rotate -90.0*x
    translate  0.66*y
  }
  cylinder { // spdl_Cyl_002
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.31, 0.19>
    rotate -90.0*x
    translate  0.47*y
  }
  cylinder { // spdl_Cyl_001
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.31, 0.03>
    rotate -90.0*x
    translate  0.4*y
  }
  cylinder { // spdl_cyl_000
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, 0.44>
    rotate -90.0*x
    translate  -0.04*y
  }
  cone { // sh_Cone_spndltp
    <0,0,0>, 0.8, <0,0,1>, 1.0
    scale <0.35, 0.36, 0.1>
    rotate -90.0*x
    translate  -0.14*y
  }
  object { spdl_CSG_d_001 }
  texture {
    Gold_Metal1
  }
}
#declare sh_CSG_umain0 = union {
  box { // sh_box_mainbak0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.15, 0.1, 1.12>
    translate  <0.0, -0.1, -2.03>
  }
  cylinder { // sh_Cyl_endmain0
    <0,0,1>, <0,0,0>, 1 
    scale <0.16, 0.16, 0.2>
    rotate 90.0*x
    translate  -0.86*z
  }
  box { // sh_Cube_body0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.1, 2.36>
    translate  <0.0, -0.1, 1.65>
  }
  cylinder { // base_Cyl_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.2>
    rotate 90.0*x
  }
}
#declare sh_CSG_diff_0 = difference {
  object { sh_CSG_umain0 }
  cylinder { // sh_Cyl_basedif0
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, 0.34>
    rotate 90.0*x
    translate  0.06*y
  }
  cylinder { // sh_Cyl_difmain0
    <0,0,1>, <0,0,0>, 1 
    scale <0.09, 0.09, 0.33>
    rotate 90.0*x
    translate  <0.0, 0.05, -0.86>
  }
  texture {
    Black_tex
  }
  scale <1.0, 0.2, 1.0>
  rotate <180.0, 50.0, 180.0>
}
#declare difference_01 = difference {
  box { // hhand_main
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.1, 1.54>
  }
  box { // Cube001_top
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.3, 0.8>
    rotate 17.0*y
    translate  <-0.6, 0.0, 0.9>
  }
  box { // Cube002_top
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.3, 0.8>
    rotate -16.0*y
    translate  <0.6, 0.0, 0.9>
  }
  cylinder { // Cylndr_diff_b0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.5>
    rotate 90.0*x
    translate  <-0.5, 0.2, -0.8>
  }
  cylinder { // Cylndr_diff_b1
    <0,0,1>, <0,0,0>, 1 
    scale 0.4
    rotate 90.0*x
    translate  <0.5, 0.2, -0.8>
  }
  box { // Cube_diff_b0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.35, 0.3, 0.15>
    translate  <-0.4, 0.0, -1.4>
  }
  box { // Cube_diff_b1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.35, 0.35, 0.15>
    translate  <0.4, 0.0, -1.4>
  }
}
#declare union_01 = union {
  object { difference_01 }
  cylinder { // Cylndr001_union
    <0,0,1>, <0,0,0>, 1 
    scale <0.35, 0.35, 0.2>
    rotate -90.0*x
    translate  <-0.4, -0.1, -0.1>
  }
  cylinder { // Cylndr000_union
    <0,0,1>, <0,0,0>, 1 
    scale <0.35, 0.35, 0.2>
    rotate 90.0*x
    translate  <0.4, 0.1, -0.1>
  }
  cylinder { // Cyl_union_rb_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.2>
    rotate 90.0*x
    translate  <0.4, 0.1, -1.22>
  }
  cylinder { // Cyl_union_lb_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.2>
    rotate 90.0*x
    translate  <-0.4, 0.1, -1.22>
  }
  cylinder { // Cyl_union_base0
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.2>
    rotate 90.0*x
    translate  <0.0, 0.1, -1.95>
  }
  texture {
    Black_tex
  }
}
#declare diff_002Mhigher = difference {
  object { union_01 }
  cylinder { // Cyl_diff_bl_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.1, 0.4>
    rotate 90.0*x
    translate  <0.0, 0.15, -1.15>
  }
  cone { // Cone_diff_bt_00
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.15, 1.0, 0.3>
    rotate 180.0*x
    translate  -0.85*z
  }
  cone { // Cone_diff_mb_00
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.15, 1.0, 0.2>
    translate  -0.65*z
  }
  cone { // Cone_diff_mt_00
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.15, 1.0, 0.15>
    rotate 180.0*x
    translate  -0.3*z
  }
  cylinder { // Cyl_diff_rght_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 0.6>
    rotate 90.0*x
    translate  <0.35, 0.25, -0.1>
  }
  cylinder { // Cyl_diff_lft_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 0.5>
    rotate 90.0*x
    translate  <-0.35, 0.2, -0.1>
  }
  cylinder { // Cyl_diffcntr_00
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.15, 0.55>
    rotate 90.0*x
    translate  <0.0, 0.25, 0.35>
  }
  cone { // Cone_diff_top00
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.25, 1.0, 0.85>
    rotate -180.0*x
    translate  1.2*z
  }
  cylinder { // Cyl_diff_tsplc0
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.05, 0.6>
    rotate 90.0*x
    translate  <0.0, 0.25, -0.45>
  }
  cylinder { // Cyl_diff_base00
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, 0.9>
    rotate 90.0*x
    translate  <0.0, 0.45, -1.95>
  }
  texture {
    Black_tex
  }
}
#declare union_hourhand = union {
  object { diff_002Mhigher }
  cylinder { // Cyl_hunion_b_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.1, 0.2>
    rotate 90.0*x
    translate  <0.0, 0.1, -1.38>
  }
  cylinder { // Cyl_hunion_brt0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.2, 0.2>
    rotate 90.0*x
    translate  <0.38, 0.1, -0.42>
  }
  cylinder { // Cyl_hunion_blt0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.2, 0.2>
    rotate 90.0*x
    translate  <-0.38, 0.1, -0.42>
  }
  cylinder { // Cyl_hunion_mr_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
    rotate 90.0*x
    translate  <0.76, 0.1, -0.1>
  }
  cylinder { // Cyl_hunion_ml_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
    rotate 90.0*x
    translate  <-0.76, 0.1, -0.1>
  }
  cone { // Cone_hunion_tr0
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.05, 0.1, 0.1>
    rotate <180.0, -72.0, 180.0>
    translate  <0.35, 0.0, 0.65>
  }
  cone { // Cone_hunion_tl0
    <0,0,0>, 0.0, <0,0,1>, 1.0
    scale <0.05, 0.1, 0.1>
    rotate <180.0, 72.0, 180.0>
    translate  <-0.35, 0.0, 0.65>
  }
  cylinder { // Cyl_hunion_tr_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 0.2>
    rotate 90.0*x
    translate  <0.12, 0.1, 0.7>
  }
  cylinder { // Cyl_hunion_tl_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 0.2>
    rotate 90.0*x
    translate  <-0.12, 0.1, 0.7>
  }
  cylinder { // Cyl_hunion_tt_0
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
    rotate 90.0*x
    translate  <0.0, 0.1, 1.05>
  }
  texture {
    Black_tex
  }
  scale <1.0, 0.2, 1.0>
  translate  <0.0, 0.45, 1.95>
}
#declare csg_allhands = union {
  object { mh_hunion_00 }
  object { spdl_CSG_main_0 }
  object { sh_CSG_diff_0 }
  object { union_hourhand }
  translate  -3.55*y
}
#declare main_csg_middle = union {
  object { mid_csg_fr_dif0 }
  object { mid_csg_fl_dif0 }
  box { // main_box_fb_00
    <-1, -1, -1>, <1, 1, 1>
    scale <5.2, 0.7, 0.4>
    translate  <0.0, -3.2, -5.6>
  }
  box { // main_Cube_000
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 4.0, 6.0>
    translate  1.5*y
  }
  box { // main_box_ft_00
    <-1, -1, -1>, <1, 1, 1>
    scale <5.2, 0.7, 0.4>
    translate  <0.0, -3.2, 5.6>
  }
  object { csg_ffb_clip_00 }
  object { csg_fft_clip_00 }
  object { csg_ffr_clip_00 }
  object { csg_ffl_clip_00 }
  box { // mid_box_glass0
    <-1, -1, -1>, <1, 1, 1>
    texture {
      All_clear
    }
    scale <4.9, 0.00001, 4.8>
    translate  -3.9*y
  }
  object { csg_allhands }
  box { // mid_box_face0
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Clock_face
      scale <2.0, 1.0, 2.0>
      rotate 0.0*z
  translate <-1.000000, 0.000000, -1.000000>
    }
    scale <4.9, 0.00001, 4.8>
    translate  -2.51*y
  }
}
#declare feet_csg_0 = union {
  box { // main_box_foot3
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 1.2, 0.5>
    translate  <-5.5, 4.8, -7.5>
  }
  box { // main_box_foot00
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 1.2, 0.5>
    translate  <-5.5, -4.8, -7.5>
  }
  box { // main_box_foot1
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 1.2, 0.5>
    translate  <5.5, -4.8, -7.5>
  }
  box { // main_box_foot2
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 1.2, 0.5>
    translate  <5.5, 4.8, -7.5>
  }
}
#declare main_csg_feet = difference {
  object { feet_csg_0 }
  cylinder { // main_Cyl_fc_lb0
    <0,0,1>, <0,0,0>, 1 
    scale <0.7, 0.6, 15.2>
    rotate <0.0, -90.0, 0.0>
    translate  <7.6, -6.1, -7.0>
  }
  cylinder { // main_cyl_l_c0
    <0,0,1>, <0,0,0>, 1 
    scale <0.6, 0.7, 12.2>
    rotate -90.0*x
    translate  <-7.6, -6.1, -7.0>
  }
  cylinder { // main_cyl_r_c0
    <0,0,1>, <0,0,0>, 1 
    scale <0.6, 0.7, 12.2>
    rotate -90.0*x
    translate  <7.6, -6.1, -7.0>
  }
  cylinder { // main_Cyl_fc_l1
    <0,0,1>, <0,0,0>, 1 
    scale <0.7, 0.6, 15.2>
    rotate <0.0, -90.0, 0.0>
    translate  <7.6, 5.5, -7.0>
  }
  box { // feet_box_l_clp0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 6.1, 0.8>
    rotate 45.0*y
    translate  <-3.7, 0.0, -7.8>
  }
  box { // feet_box_r_clp0
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 6.1, 0.8>
    rotate -45.0*y
    translate  <3.7, 0.0, -7.8>
  }
}
union { // main_CSG_body00
  object { main_csg_top_b }
  object { main_csg_top_t }
  object { main_csg_bottom }
  object { main_csg_middle }
  object { main_csg_feet }
  texture {
    DMFWood4_v
  }
}






